Bug 1286382 - Python35 with rawhide packages results in __pycache__ directory not being processed properly
Python35 with rawhide packages results in __pycache__ directory not being pro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 15:04 EST by James Hogarth
Modified: 2016-02-01 01:33 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.8-4.fc23 rpmlint-1.8-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 14:19:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hogarth 2015-11-28 15:04:10 EST
Description of problem:
In a couple of review recently that have included python3 libraries I've encountered false positives of python-bytecode-without-source.

The PEP-3147 behaviour was added back in the F14 timeline but behaviour has changed in rawhide which is causing this.


Version-Release number of selected component (if applicable):
rpmlint-1.8-2.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Use rpmlint (or carry out a fedora-review) in a python3 library in rawhide
2. See the false positive 

Actual results:
$ rpmlint python3-bugzilla-1.2.2-2.fc24.noarch.rpm python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/__init__.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/base.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/bug.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/apiversion.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/rhbugzilla.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/bugzilla4.cpython-35.opt-1.pyc
python3-bugzilla.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/bugzilla/__pycache__/bugzilla3.cpython-35.opt-1.pyc
python3-bugzilla.noarch: E: unknown-key RSA#81b46521 (MD5
1 packages and 0 specfiles checked; 1 errors, 7 warnings.


Expected results:
$ rpmlint python3-bugzilla-1.2.2-1.fc23.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Additional info:
rpmlint works fine against the python3 rpms in fc23 ... something in rawhide with it doesn't like - possibly changed behaviour from python34 to python35 ?

Note that the fc24 with py35 stuff includes a opt-1 file in pycache that does not exist in fc23 with py34
Comment 1 James Hogarth 2015-11-28 15:21:15 EST
Ah it appears to be this PEP that includes the optimization level in the cache object filename (opt-1): https://www.python.org/dev/peps/pep-0488/
Comment 3 Fedora Update System 2015-11-30 14:51:44 EST
rpmlint-1.8-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4da76610b
Comment 4 Fedora Update System 2015-11-30 14:51:57 EST
rpmlint-1.8-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-037f1f4db5
Comment 5 Fedora Update System 2015-12-01 17:30:53 EST
rpmlint-1.8-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rpmlint'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1153251876
Comment 6 Fedora Update System 2015-12-03 11:03:23 EST
rpmlint-1.8-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rpmlint'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-037f1f4db5
Comment 7 Fedora Update System 2015-12-04 14:19:40 EST
rpmlint-1.8-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-01 01:33:37 EST
rpmlint-1.8-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.